com.opensymphony.xwork2.config.entities

## Class ResultTypeConfig

- java.lang.Object
- - com.opensymphony.xwork2.util.location.Located
  - - com.opensymphony.xwork2.config.entities.ResultTypeConfig

- All Implemented Interfaces:
    Locatable, Serializable

      public class ResultTypeConfig
      extends Located
      implements Serializable

  Configuration class for result types.

  In the xml configuration file this is defined as the `result-type` tag.

  Author:
    Mike, Rainer Hermanns, Neo
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResultTypeConfig.Builder` The builder for this object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `className`
    `protected String` | `defaultResultParam`
    `protected String` | `name`
    `protected Map<String,String>` | `params`

    - ### Fields inherited from class com.opensymphony.xwork2.util.location.Located

      `location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ResultTypeConfig(ResultTypeConfig orig)`
    `protected` | `ResultTypeConfig(String name, String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClassName()`
    `String` | `getDefaultResultParam()`
    `String` | `getName()`
    `Map<String,String>` | `getParams()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class com.opensymphony.xwork2.util.location.Located

      `getLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected String className

    - #### name

          protected String name

    - #### defaultResultParam

          protected String defaultResultParam

    - #### params

          protected Map<String,String> params

  - ### Constructor Detail

    - #### ResultTypeConfig

          protected ResultTypeConfig(String name,
                                     String className)

    - #### ResultTypeConfig

          protected ResultTypeConfig(ResultTypeConfig orig)

  - ### Method Detail

    - #### getDefaultResultParam

          public String getDefaultResultParam()

    - #### getClassName

          public String getClassName()

    - #### getName

          public String getName()

    - #### getParams

          public Map<String,String> getParams()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.